Subject: Re: [PATCH 1/2] Revert "xfrm: interface with if_id 0 should return error"

From: Kai Lüke <[email-masked]>
Date: Tue, 1 Mar 2022 16:48:38 +0100

> I agree with Eyal here.  As far as Cilium is concerned, this is not
> causing any regression.  Only the second commit, 68ac0f3810e7 ("xfrm:
> state and policy should fail if XFRMA_IF_ID 0") causes issues in a
> previously-working setup in Cilium.  We don't use xfrm interfaces.
>
I see this as a very generic question of changing userspace behavior or
not, regardless if we know how many users are affected, and from what I
know there are similar cases in the kernel where the response was that
breaking userspace is a no go - even if the intention was to be helpful
by having early errors.

Greets,
Kai